<?php 
/**
 * ManiaLib - Lightweight PHP framework for Manialinks
 * 
 * @copyright   Copyright (c) 2009-2011 NADEO (http://www.nadeo.com)
 * @license     http://www.gnu.org/licenses/lgpl.html LGPL License 3
 * @version     $Revision: 481 $:
 * @author      $Author: maximeraoust $:
 * @date        $Date: 2011-01-07 15:43:25 +0100 (ven., 07 janv. 2011) $:
 */

namespace ManiaLib\Utils;

/**
 * Array stuff
 */
abstract class Arrays
{
	/**
	 * Returns the specified array element if it exists, or the default value
	 */
	static function get($array, $key, $default = null)
	{
		return array_key_exists($key, $array) ? $array[$key] : $default;
	}
	
	/**
	 * Returns the specified element if it exists and is not null (==), or the 
	 * default value
	 */
	static function getNotNull($array, $key, $default = null)
	{
		if(array_key_exists($key, $array) && $array[$key])
		{
			return $array[$key];
		}
		return $default;
	}
}

?>